/*
 * This software is the proprietary information of nico3000.
 */
package controls;

import event.events.ToggleEvent;
import event.EventData;

/**
 *
 * @author nico3000
 */
public class MoveEvents {
    public static class ForwardEvent extends ToggleEvent {
        public static final int ID = 0x70c213d6;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class BackwardEvent extends ToggleEvent {
        public static final int ID = 0xb959edef;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class LeftEvent extends ToggleEvent {
        public static final int ID = 0x4a5bce59;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class RightEvent extends ToggleEvent {
        public static final int ID = 0x5d776d7a;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class UpEvent extends ToggleEvent {
        public static final int ID = 0x2b466131;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class DownEvent extends ToggleEvent {
        public static final int ID = 0x58620800;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class FastEvent extends ToggleEvent {
        public static final int ID = 0xd64eebe8;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class ViewEvent extends PointerMovedEvent {
        public static final int ID = 0xe74a82d3;
    
        @Override
        public int getId() {
            return ID;
        }        
    }
    
    public static class GrabMouseEvent extends EventData {
        public static final int ID = 0xfac535a4;
    
        @Override
        public int getId() {
            return ID;
        }        
    }
}
