/*
 * Copyright (C) 2012 nico3000 - All Rights Reserved
 */
package main;

import view.scene.SceneScreenElement;

/**
 *
 * @author nico3000
 */
public class Main {
    public static void main(String argv[]) {
        GameApp.setGameLogic(new ExampleGameLogic());
        GameApp.setConfigFile(Main.class.getResourceAsStream("/config/default_config.ini"));
        if(GameApp.init()) {
            GameApp.getGameLogic().getHumanView().pushElement(new SceneScreenElement("basescene"));
            GameApp.getGameLogic().loadLevel("levels/lvl_nicotest.xml");
            GameApp.mainloop();
            GameApp.destroy();
        } else {
            System.err.println("Something went horribly wrong!");
        }
    }
}
